Bug 231702 - mail/claws-mail: fix build with base GCC
Summary: mail/claws-mail: fix build with base GCC
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jochen Neumeister
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-24 23:47 UTC by Piotr Kubaj
Modified: 2018-09-27 22:52 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (joneum)


Attachments
patch (464 bytes, patch)
2018-09-24 23:47 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-09-24 23:47:57 UTC
Created attachment 197471 [details]
patch

USES=compiler:c++11-lang is necessary to compile this port with architectures that have GCC in base.

Also, add USES=gnome.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Jochen Neumeister freebsd_committer 2018-09-25 19:17:56 UTC
Thanks for the PR.
Currently an update for 17.1 is open. There are problems here, and I have no time for. You are welcome to try to do it if you want.
Comment 2 Piotr Kubaj freebsd_committer 2018-09-26 11:23:42 UTC
(In reply to Jochen Neumeister from comment #1)
What? There's no claws-mail 17.1.
Comment 3 Jochen Neumeister freebsd_committer 2018-09-26 14:43:20 UTC
sorry, 3.17.1
Comment 4 Piotr Kubaj freebsd_committer 2018-09-26 15:13:24 UTC
(In reply to Jochen Neumeister from comment #3)
I don't use claws-mail, I'm just fixing all ports that don't build on powerpc64.

You don't need much time here, it's just adding two USES.
Comment 5 commit-hook freebsd_committer 2018-09-27 22:52:22 UTC
A commit references this bug:

Author: linimon
Date: Thu Sep 27 22:51:26 UTC 2018
New revision: 480830
URL: https://svnweb.freebsd.org/changeset/ports/480830

Log:
  Fix build on gcc-based archs.

  While here, pet portlint.

  Tested on powerpc64, amd64.

  PR:		231702
  Submitted by:	Piotr Kubaj
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/mail/claws-mail/Makefile